Subject: Re: [PATCH v2 3/4] kthread: NUMA aware kthread_create_on_cpu()

From: Thomas Fjellstrom <[email-masked]>
Date: Sun, 12 Dec 2010 23:26:05 -0700

On December 10, 2010, Andrew Morton wrote:
> On Fri, 10 Dec 2010 08:02:41 +0100 Eric Dumazet <[email-masked]> 
wrote:
> > Le jeudi 09 d__cembre 2010 __ 22:32 -0800, Andrew Morton a __crit :
> > > but but but.  The name "kthread_create_on_cpu" sucks.  It's plain
> > > wrong.
> > 
> > Okay you are right Andrew ;) I dont have better idea for the moment.
> 
> Dunno.  kthread_create_with_memory_on_node() :)
> 
> How's about kthread_create_for_node()?  That's sufficiently vague to
> not mislead readers into thinking that it schedules the thread on that
> CPU and leaves room in the namespace for a real kthread_create_on_cpu()
> (which we could well end up creating).
> 
> kthread_create_node_mem()?

Just a kernel newb here, how about kthread_create_from_cpu ? unless that has 
some connotations I'm not aware of.

> > Note that all callers I converted really create one kthread per cpu, not
> > per node. They didnt care of node affinity, only me :)
> > 
> > kthread_create_on_node() seems misleading to me (some cpus run on
> > memoryless nodes)
> 
> True, but what we're doing here is specifying on which node the
> kthread's memory resources should reside - we need to do that even for
> CPUs which live on memoryless nodes.
> 
> --
> To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> Please read the FAQ at  http://www.tux.org/lkml/

-- 
Thomas Fjellstrom
[email-masked]